# Uses of Interface
org.opensaml.saml.ext.saml2mdrpi.RegistrationInfo

Packages that use RegistrationInfo
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.ext.saml2mdrpi.impl
Concrete implementations of the interfaces for the SAML V2.0 Metadata Extensions for Registration and Publication Information Version 1.0.

## Uses of RegistrationInfo in org.opensaml.saml.common.profile.logic

Methods in org.opensaml.saml.common.profile.logic that return RegistrationInfo
Modifier and Type
Method
Description
`protected RegistrationInfo`
AbstractRegistrationInfoPredicate.`getRegistrationInfo(EntityDescriptor entity)`
Get the `RegistrationInfo` extension associated with an entity, if any.
Methods in org.opensaml.saml.common.profile.logic with parameters of type RegistrationInfo
Modifier and Type
Method
Description
`protected abstract boolean`
AbstractRegistrationInfoPredicate.`doApply(RegistrationInfo info)`
Override this method to implement the predicate.
`protected boolean`
RegistrationAuthorityPredicate.`doApply(RegistrationInfo info)`
Override this method to implement the predicate.
`protected boolean`
RegistrationPolicyPredicate.`doApply(RegistrationInfo info)`
Override this method to implement the predicate.

## Uses of RegistrationInfo in org.opensaml.saml.ext.saml2mdrpi.impl

Classes in org.opensaml.saml.ext.saml2mdrpi.impl that implement RegistrationInfo
Modifier and Type
Class
Description
`class`
`RegistrationInfoImpl`
Concrete Implementation of `RegistrationInfo`.
Methods in org.opensaml.saml.ext.saml2mdrpi.impl that return RegistrationInfo
Modifier and Type
Method
Description
`RegistrationInfo`
RegistrationInfoBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RegistrationInfo`
RegistrationInfoBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.